Bug 848536 - Chassis fan and core voltage is reported incorrectly with M5A78L motherboard
Chassis fan and core voltage is reported incorrectly with M5A78L motherboard
Product: Fedora
Classification: Fedora
Component: lm_sensors (Show other bugs)
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Nikola Pajkovsky
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-08-15 16:35 EDT by Göran Uddeborg
Modified: 2014-02-02 17:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-16 05:32:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2012-08-15 16:35:28 EDT
Description of problem:
When I run "sensors" on a host with a M5A78L motherboard, it reports the speed of the CPU fan twice, instead of separate CPU and chassis fan.  The core voltage is also reported too low.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. sensors
Actual results:
Adapter: ACPI interface
Vcore Voltage:      +1.00 V  (min =  +0.85 V, max =  +1.60 V)
 +3.3 Voltage:      +3.25 V  (min =  +2.97 V, max =  +3.63 V)
 +5 Voltage:        +4.98 V  (min =  +4.50 V, max =  +5.50 V)
 +12 Voltage:      +12.08 V  (min = +10.20 V, max = +13.80 V)
CPU FAN Speed:     1695 RPM  (min =  600 RPM, max = 7200 RPM)
CHASSIS FAN Speed: 1695 RPM  (min =  600 RPM, max = 7200 RPM)
CPU Temperature:    +39.0°C  (high = +60.0°C, crit = +95.0°C)
MB Temperature:     +37.0°C  (high = +45.0°C, crit = +75.0°C)

Adapter: PCI adapter
power1:       40.41 W  (crit =  95.04 W)

Adapter: PCI adapter
temp1:        +11.9°C  (high = +70.0°C)
                       (crit = +83.5°C, hyst = +80.5°C)

Adapter: PCI adapter
temp1:        +49.0°C  

Expected results:
The CPU and chassis fan speeds are always reported identical.  In BIOS, the speed of the chassis fan is reported to be around 850 r/m on an unloaded system, which seems more reasonable.

The core voltage is reported just above 1.40 V in BIOS, rather than precisely 1 V as above.

The motherboard temperature seems a bit off from the BIOS values too, but I'm not yet sure if it actually reflects temperature differences in different stages.  The remaining values are reasonably close to what the BIOS reports.  (Well, not the k10temp "temp1", but I guess that one isn't really connected.)

Additional info:
A few excerpts from dmidecode:
BIOS Information
        Vendor: American Megatrends Inc.
        Version: 1003   
        Release Date: 03/23/2012

Base Board Information
        Manufacturer: ASUSTeK Computer INC.
        Product Name: M5A78L

Processor Information
        Socket Designation: AM3R2
        Version: AMD FX(tm)-4100 Quad-Core Processor                 
        Voltage: 1.4 V

And from the manual:
Chipset AMD® 760G (780L) / SB710
Comment 1 Hans de Goede 2012-08-16 05:32:05 EDT

Since that motherboard is using the atk0110-acpi all the values are actually read directly from the BIOS. 

What you could try to see of you're really getting the same reading twice is changing the fan speeds by loading the system, ie from a terminal run:
md5sum /dev/urandom&

As many times as you've CPU cores, maybe the fan speeds actually are the same when idle under Linux? Note that there is the accuracy of the sensors to take into account, fan sensors tend to measure quite big "steps" so even though the fans of course will not be rotating at the exact same speed, they could show the same reading.

To stop the md5sum cpu-loading process do: "fg" followed by pressing CTRL+c from the same terminal, repeat this as many times as you've started md5sum.

If the fans stay the same even when loaded, then that would be suspicious, but as said the values are read directly from the BIOS.

As for the CPU voltage, that is likely due to frequency stepping of the CPU, if the CPU runs at a lower frequency then  it will often operate at a lower voltage too. So I would expect that to go up when you load the system too (often under the BIOS the CPU runs at its full speed).

If all of the above does not help, the first thing to do would be to upgrade your BIOS, if that does not help either, then please send a mail to the lm_sensors mailinglist:

And put atk0110-acpi in the subject, I'm on that list and the atk0110-acpi driver author follows it actively and promptly replies to any issues.



Note You need to log in before you can comment on or make changes to this bug.